Skip to main content
PUT
/
api
/
v1
/
messages
/
{message_id}
Update Message
curl --request PUT \
  --url https://api.example.com/api/v1/messages/{message_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "tool_calls": [
    {}
  ],
  "message_type": "<string>",
  "tags": [
    "<string>"
  ],
  "attachments": [
    {}
  ],
  "meta_data": {}
}
'
import requests

url = "https://api.example.com/api/v1/messages/{message_id}"

payload = {
"content": "<string>",
"tool_calls": [{}],
"message_type": "<string>",
"tags": ["<string>"],
"attachments": [{}],
"meta_data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
tool_calls: [{}],
message_type: '<string>',
tags: ['<string>'],
attachments: [{}],
meta_data: {}
})
};

fetch('https://api.example.com/api/v1/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "conversation_id": "<string>",
  "sender_id": "<string>",
  "content": "<string>",
  "workspace_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "id": "<string>",
  "role": "user",
  "tool_calls": [
    {}
  ],
  "message_type": "text",
  "tags": [
    "<string>"
  ],
  "checksum": "<string>",
  "attachments": [
    {}
  ],
  "parent_message_id": "<string>",
  "meta_data": {},
  "sent_at": "2023-11-07T05:31:56Z",
  "owner_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Path Parameters

message_id
string
required

Body

application/json

Schema for updating a message.

content
string | null

Message content

tool_calls
Tool Calls · object[] | null

Tool calls made in this message

message_type
string | null

Type of message

tags
string[] | null

Message tags

attachments
Attachments · object[] | null

Message attachments

meta_data
Meta Data · object | null

Additional metadata

Response

Successful Response

Schema for reading message data.

conversation_id
string
required

Reference to conversation

sender_id
string
required

ID of the message sender

content
string
required

Message content

workspace_id
string
required

Reference to workspace

created_at
string | null
updated_at
string | null
id
string
role
string
default:user

Message role (user, assistant, system, etc.)

tool_calls
Tool Calls · object[] | null

Tool calls made in this message

message_type
string
default:text

Type of message

tags
string[] | null

Message tags

checksum
string | null

Message checksum

attachments
Attachments · object[] | null

Message attachments

parent_message_id
string | null

Parent message ID for threading

meta_data
Meta Data · object | null

Additional metadata

sent_at
string<date-time> | null

When the message was sent

owner_id
string | null

Owner ID